## libedit 2.6.cvs.20020109

=== libedit-20020109/Makefile ===
#	$NetBSD: Makefile,v 1.21 2001/12/28 01:32:38 lukem Exp $
#	@(#)Makefile	8.1 (Berkeley) 6/4/93

LIB=	edit
USE_SHLIBDIR=	yes

OSRCS=	chared.c common.c el.c emacs.c fcns.c help.c hist.c key.c map.c \
	parse.c prompt.c read.c refresh.c search.c sig.c term.c tty.c vi.c

MAN=	editline.3 editrc.5

MLINKS=	editline.3 el_init.3 editline.3 el_end.3 editline.3 el_reset.3 \
	editline.3 el_gets.3 editline.3 el_getc.3 editline.3 el_push.3 \
	editline.3 el_parse.3 editline.3 el_set.3 editline.3 el_get.3 \
	editline.3 el_source.3 editline.3 el_resize.3 editline.3 el_line.3 \
	editline.3 el_insertstr.3 editline.3 el_deletestr.3 \
	editline.3 history_init.3 editline.3 history_end.3 editline.3 history.3

# For speed and debugging
#SRCS=   ${OSRCS} tokenizer.c history.c readline.c
# For protection
SRCS=	editline.c tokenizer.c history.c readline.c

SRCS+=	common.h emacs.h fcns.h help.h vi.h

LIBEDITDIR?=${.CURDIR}

INCS= histedit.h
INCSDIR=/usr/include

CLEANFILES+=common.h editline.c emacs.h fcns.c fcns.h help.c help.h vi.h
CLEANFILES+=common.h.tmp editline.c.tmp emacs.h.tmp fcns.c.tmp fcns.h.tmp
CLEANFILES+=help.c.tmp help.h.tmp vi.h.tmp
CPPFLAGS+=-I. -I${LIBEDITDIR} 
CPPFLAGS+=-I. -I${.CURDIR}
CPPFLAGS+=#-DDEBUG_TTY -DDEBUG_KEY -DDEBUG_READ -DDEBUG -DDEBUG_REFRESH
CPPFLAGS+=#-DDEBUG_PASTE

AHDR=vi.h emacs.h common.h 
ASRC=${LIBEDITDIR}/vi.c ${LIBEDITDIR}/emacs.c ${LIBEDITDIR}/common.c

SUBDIR=	readline

vi.h: vi.c makelist
	sh ${LIBEDITDIR}/makelist -h ${LIBEDITDIR}/vi.c > ${.TARGET}.tmp && \
	    mv ${.TARGET}.tmp ${.TARGET}

emacs.h: emacs.c makelist
	sh ${LIBEDITDIR}/makelist -h ${LIBEDITDIR}/emacs.c > ${.TARGET}.tmp && \
	    mv ${.TARGET}.tmp ${.TARGET}

common.h: common.c makelist
	sh ${LIBEDITDIR}/makelist -h ${LIBEDITDIR}/common.c > ${.TARGET}.tmp && \
	    mv ${.TARGET}.tmp ${.TARGET}

fcns.h: ${AHDR} makelist
	sh ${LIBEDITDIR}/makelist -fh ${AHDR} > ${.TARGET}.tmp && \
	    mv ${.TARGET}.tmp ${.TARGET}

fcns.c: ${AHDR} fcns.h makelist
	sh ${LIBEDITDIR}/makelist -fc ${AHDR} > ${.TARGET}.tmp && \
	    mv ${.TARGET}.tmp ${.TARGET}

help.c: ${ASRC} makelist 
	sh ${LIBEDITDIR}/makelist -bc ${ASRC} > ${.TARGET}.tmp && \
	    mv ${.TARGET}.tmp ${.TARGET}

help.h: ${ASRC} makelist
	sh ${LIBEDITDIR}/makelist -bh ${ASRC} > ${.TARGET}.tmp && \
	    mv ${.TARGET}.tmp ${.TARGET}

editline.c: ${OSRCS}
	sh ${LIBEDITDIR}/makelist -e ${.ALLSRC:T} > ${.TARGET}.tmp && \
	    mv ${.TARGET}.tmp ${.TARGET}

test.o:	${LIBEDITDIR}/TEST/test.c
	
test:	libedit.a test.o 
	${CC} ${LDFLAGS} ${.ALLSRC} -o ${.TARGET} libedit.a ${LDADD} -ltermcap

# minimal dependency to make "make depend" optional
editline.o editline.po editline.so editline.ln:	\
	common.h emacs.h fcns.c fcns.h help.c help.h vi.h
readline.o readline.po readline.so readline.ln:	\
	common.h emacs.h fcns.h help.h vi.h

.include <bsd.lib.mk>
.include <bsd.subdir.mk>

## libedit 2.9.cvs.20040827

=== libedit-20040827/Makefile ===
#	$NetBSD: Makefile,v 1.29 2003/12/05 13:37:48 lukem Exp $
#	@(#)Makefile	8.1 (Berkeley) 6/4/93

USE_SHLIBDIR=	yes

WARNS=	3
LIB=	edit

OSRCS=	chared.c common.c el.c emacs.c fcns.c help.c hist.c key.c map.c \
	parse.c prompt.c read.c refresh.c search.c sig.c term.c tty.c vi.c

MAN=	editline.3 editrc.5

MLINKS=	editline.3 el_init.3 editline.3 el_end.3 editline.3 el_reset.3 \
	editline.3 el_gets.3 editline.3 el_getc.3 editline.3 el_push.3 \
	editline.3 el_parse.3 editline.3 el_set.3 editline.3 el_get.3 \
	editline.3 el_source.3 editline.3 el_resize.3 editline.3 el_line.3 \
	editline.3 el_insertstr.3 editline.3 el_deletestr.3 \
	editline.3 history_init.3 editline.3 history_end.3 \
	editline.3 history.3 \
	editline.3 tok_init.3 editline.3 tok_end.3 editline.3 tok_reset.3 \
	editline.3 tok_line.3 editline.3 tok_str.3

# For speed and debugging
#SRCS=   ${OSRCS} tokenizer.c history.c readline.c
# For protection
SRCS=	editline.c tokenizer.c history.c readline.c

LIBEDITDIR?=${.CURDIR}

INCS= histedit.h
INCSDIR=/usr/include

CLEANFILES+=editline.c
CLEANFILES+=common.h.tmp editline.c.tmp emacs.h.tmp fcns.c.tmp fcns.h.tmp
CLEANFILES+=help.c.tmp help.h.tmp vi.h.tmp
CPPFLAGS+=-I. -I${LIBEDITDIR} 
CPPFLAGS+=-I. -I${.CURDIR}
CPPFLAGS+=#-DDEBUG_TTY -DDEBUG_KEY -DDEBUG_READ -DDEBUG -DDEBUG_REFRESH
CPPFLAGS+=#-DDEBUG_PASTE -DDEBUG_EDIT

AHDR=vi.h emacs.h common.h 
ASRC=${LIBEDITDIR}/vi.c ${LIBEDITDIR}/emacs.c ${LIBEDITDIR}/common.c

DPSRCS+=	${AHDR} fcns.h help.h fcns.c help.c
CLEANFILES+=	${AHDR} fcns.h help.h fcns.c help.c

SUBDIR=	readline

vi.h: vi.c makelist
	${HOST_SH} ${LIBEDITDIR}/makelist -h ${LIBEDITDIR}/vi.c \
	    > ${.TARGET}.tmp && \
	    mv ${.TARGET}.tmp ${.TARGET}

emacs.h: emacs.c makelist
	${HOST_SH} ${LIBEDITDIR}/makelist -h ${LIBEDITDIR}/emacs.c \
	    > ${.TARGET}.tmp && \
	    mv ${.TARGET}.tmp ${.TARGET}

common.h: common.c makelist
	${HOST_SH} ${LIBEDITDIR}/makelist -h ${LIBEDITDIR}/common.c \
	    > ${.TARGET}.tmp && \
	    mv ${.TARGET}.tmp ${.TARGET}

fcns.h: ${AHDR} makelist
	${HOST_SH} ${LIBEDITDIR}/makelist -fh ${AHDR} > ${.TARGET}.tmp && \
	    mv ${.TARGET}.tmp ${.TARGET}

fcns.c: ${AHDR} fcns.h help.h makelist
	${HOST_SH} ${LIBEDITDIR}/makelist -fc ${AHDR} > ${.TARGET}.tmp && \
	    mv ${.TARGET}.tmp ${.TARGET}

help.c: ${ASRC} makelist 
	${HOST_SH} ${LIBEDITDIR}/makelist -bc ${ASRC} > ${.TARGET}.tmp && \
	    mv ${.TARGET}.tmp ${.TARGET}

help.h: ${ASRC} makelist
	${HOST_SH} ${LIBEDITDIR}/makelist -bh ${ASRC} > ${.TARGET}.tmp && \
	    mv ${.TARGET}.tmp ${.TARGET}

editline.c: ${OSRCS}
	${HOST_SH} ${LIBEDITDIR}/makelist -e ${.ALLSRC:T} > ${.TARGET}.tmp && \
	    mv ${.TARGET}.tmp ${.TARGET}

test.o:	${LIBEDITDIR}/TEST/test.c
	
test:	libedit.a test.o 
	${CC} ${LDFLAGS} ${.ALLSRC} -o ${.TARGET} libedit.a ${LDADD} -ltermcap

.include <bsd.lib.mk>
.include <bsd.subdir.mk>

## libedit 2.9.cvs.20050518

=== libedit-20050518/Makefile ===
#	$NetBSD: Makefile,v 1.31 2005/05/07 16:22:59 dsl Exp $
#	@(#)Makefile	8.1 (Berkeley) 6/4/93

USE_SHLIBDIR=	yes

WARNS=	3
LIB=	edit

OSRCS=	chared.c common.c el.c emacs.c fcns.c filecomplete.c help.c hist.c \
	key.c map.c \
	parse.c prompt.c read.c refresh.c search.c sig.c term.c tty.c vi.c

MAN=	editline.3 editrc.5

MLINKS=	editline.3 el_init.3 editline.3 el_end.3 editline.3 el_reset.3 \
	editline.3 el_gets.3 editline.3 el_getc.3 editline.3 el_push.3 \
	editline.3 el_parse.3 editline.3 el_set.3 editline.3 el_get.3 \
	editline.3 el_source.3 editline.3 el_resize.3 editline.3 el_line.3 \
	editline.3 el_insertstr.3 editline.3 el_deletestr.3 \
	editline.3 history_init.3 editline.3 history_end.3 \
	editline.3 history.3 \
	editline.3 tok_init.3 editline.3 tok_end.3 editline.3 tok_reset.3 \
	editline.3 tok_line.3 editline.3 tok_str.3

# For speed and debugging
#SRCS=   ${OSRCS} tokenizer.c history.c readline.c
# For protection
SRCS=	editline.c tokenizer.c history.c readline.c

LIBEDITDIR?=${.CURDIR}

INCS= histedit.h
INCSDIR=/usr/include

CLEANFILES+=editline.c
CLEANFILES+=common.h.tmp editline.c.tmp emacs.h.tmp fcns.c.tmp fcns.h.tmp
CLEANFILES+=help.c.tmp help.h.tmp vi.h.tmp
CPPFLAGS+=-I. -I${LIBEDITDIR} 
CPPFLAGS+=-I. -I${.CURDIR}
CPPFLAGS+=#-DDEBUG_TTY -DDEBUG_KEY -DDEBUG_READ -DDEBUG -DDEBUG_REFRESH
CPPFLAGS+=#-DDEBUG_PASTE -DDEBUG_EDIT

AHDR=vi.h emacs.h common.h 
ASRC=${LIBEDITDIR}/vi.c ${LIBEDITDIR}/emacs.c ${LIBEDITDIR}/common.c

DPSRCS+=	${AHDR} fcns.h help.h fcns.c help.c
CLEANFILES+=	${AHDR} fcns.h help.h fcns.c help.c

SUBDIR=	readline

vi.h: vi.c makelist Makefile
	${HOST_SH} ${LIBEDITDIR}/makelist -h ${LIBEDITDIR}/vi.c \
	    > ${.TARGET}.tmp && \
	    mv ${.TARGET}.tmp ${.TARGET}

emacs.h: emacs.c makelist Makefile
	${HOST_SH} ${LIBEDITDIR}/makelist -h ${LIBEDITDIR}/emacs.c \
	    > ${.TARGET}.tmp && \
	    mv ${.TARGET}.tmp ${.TARGET}

common.h: common.c makelist Makefile
	${HOST_SH} ${LIBEDITDIR}/makelist -h ${LIBEDITDIR}/common.c \
	    > ${.TARGET}.tmp && \
	    mv ${.TARGET}.tmp ${.TARGET}

fcns.h: ${AHDR} makelist Makefile
	${HOST_SH} ${LIBEDITDIR}/makelist -fh ${AHDR} > ${.TARGET}.tmp && \
	    mv ${.TARGET}.tmp ${.TARGET}

fcns.c: ${AHDR} fcns.h help.h makelist Makefile
	${HOST_SH} ${LIBEDITDIR}/makelist -fc ${AHDR} > ${.TARGET}.tmp && \
	    mv ${.TARGET}.tmp ${.TARGET}

help.c: ${ASRC} makelist Makefile
	${HOST_SH} ${LIBEDITDIR}/makelist -bc ${ASRC} > ${.TARGET}.tmp && \
	    mv ${.TARGET}.tmp ${.TARGET}

help.h: ${ASRC} makelist Makefile
	${HOST_SH} ${LIBEDITDIR}/makelist -bh ${ASRC} > ${.TARGET}.tmp && \
	    mv ${.TARGET}.tmp ${.TARGET}

editline.c: ${OSRCS} makelist Makefile
	${HOST_SH} ${LIBEDITDIR}/makelist -e ${OSRCS:T} > ${.TARGET}.tmp && \
	    mv ${.TARGET}.tmp ${.TARGET}

test.o:	${LIBEDITDIR}/TEST/test.c
	
test:	libedit.a test.o 
	${CC} ${LDFLAGS} ${.ALLSRC} -o ${.TARGET} libedit.a ${LDADD} -ltermcap

.include <bsd.lib.mk>
.include <bsd.subdir.mk>

=== libedit-20050518/TEST/Makefile ===
# $NetBSD: Makefile,v 1.2 2003/12/05 13:37:48 lukem Exp $

NOMAN=1
PROG=test
CPPFLAGS=-I${.CURDIR}/..
LDADD+=-ledit -ltermcap
DPADD+=${LIBEDIT} ${LIBTERMCAP}

.ifdef DEBUG
CPPFLAGS+=-DDEBUG
.endif

.include <bsd.prog.mk>

## libedit 2.11

=== libedit/TEST/Makefile ===
# $NetBSD: Makefile,v 1.3 2006/08/31 20:20:38 rpaulo Exp $

NOMAN=1
PROG=tc1
CPPFLAGS=-I${.CURDIR}/..
LDADD+=-ledit -ltermcap
DPADD+=${LIBEDIT} ${LIBTERMCAP}

.ifdef DEBUG
CPPFLAGS+=-DDEBUG
.endif

.include <bsd.prog.mk>

## libedit 2.11-20080614

=== debian/changelog ===
libedit (2.11-20080614-5ubuntu1) raring; urgency=low

  * Fix cross-building: set RANLIB as well as CC/LD, and set MACHINE_ARCH
    and MACHINE_MULTIARCH correctly to allow for use of a foreign pmake
    binary.

 -- Colin Watson <cjwatson@ubuntu.com>  Sun, 02 Dec 2012 00:47:07 +0000

libedit (2.11-20080614-5) unstable; urgency=low

  * Add LDFLAGS hardening flags to PMAKE_ARGS
    Patch by Simon Ruderich
    Closes: #675404 

 -- Anibal Monsalve Salazar <anibal@debian.org>  Fri, 01 Jun 2012 10:10:48 +1000

libedit (2.11-20080614-4) unstable; urgency=low

  * Merge 2.11-20080614-3ubuntu2 
    - Fix libdir in libedit.pc to match multiarch installation paths.
    - libedit/tty.c: grabs controlling terminal even when output is a non
      tty, causing things like php | less to mis-function. Patch changes
      this behavior to work more like readline. (LP: #322214)
  * debian/control: Don't use the Vcs-Browser field
    Closes: #534514
  * Link against libtinfo rather than libncurses
    Patch by Sven Joachim
    Closes: #644421
  * Remove <libedit/vis.h>
    Closes: #675147
  * Standards-Version is 3.9.3
  * DH compatibility is 9
  * Enable hardening

 -- Anibal Monsalve Salazar <anibal@debian.org>  Thu, 31 May 2012 13:56:17 +1000

libedit (2.11-20080614-3ubuntu2) precise; urgency=low

  * Fix libdir in libedit.pc to match multiarch installation paths.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 02 Apr 2012 01:03:33 +0100

libedit (2.11-20080614-3ubuntu1) precise; urgency=low

  * libedit/tty.c: grabs controlling terminal even when output is a non
    tty, causing things like php | less to mis-function. Patch changes
    this behavior to work more like readline. (LP: #322214)

 -- Clint Byrum <clint@ubuntu.com>  Wed, 26 Jan 2011 13:04:09 -0800

libedit (2.11-20080614-3) unstable; urgency=low

  * Don't leak curses library through the pkg-config file
    Patch by Guillem Jover
    Closes: 534515
  * Source format is 3.0 (quilt)
  * Standards-Version is 3.9.2
  * Fix debhelper-but-no-misc-depends
  * Fix debian-rules-missing-recommended-target
  * Update homepage

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sun, 28 Aug 2011 11:01:03 +1000

libedit (2.11-20080614-2.2) unstable; urgency=low

  * Non-maintainer upload.
  * Fix a regression in the previous NMU: the pkgconfig file has gone
    missing, add it back in.

 -- Steve Langasek <vorlon@debian.org>  Wed, 17 Aug 2011 07:49:54 +0000

libedit (2.11-20080614-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * debian/patches/fix_gcc_warnings.diff: fix warnings about deprecated
    headers.  Closes: #634324.
  * debian/rules: don't double-link .so files twice into the library.
    Closes: #628679.
  * debian/rules: cope with pmake switching us to multiarch automatically.
  * debian/control: since the package is already multiarched for us by pmake,
    mark it as such and bump build-dependencies on debhelper and pmake to
    suit.

 -- Steve Langasek <vorlon@debian.org>  Wed, 17 Aug 2011 00:05:33 +0000

libedit (2.11-20080614-2) unstable; urgency=high

  * libedit2.shlibs: Fix minimal dependency version 
    Patch by Agustin Martin
    Closes: 523260 

 -- Anibal Monsalve Salazar <anibal@debian.org>  Tue, 21 Sep 2010 12:24:54 +1000

libedit (2.11-20080614-1) unstable; urgency=low

  * Fix typo in 03-el.c-MAXPATHLEN.diff 
  * Standards version is 3.8.2
  * Use libbsd
    Patch by Guillem Jover
    Closes: 513027

 -- Anibal Monsalve Salazar <anibal@debian.org>  Mon, 22 Jun 2009 11:55:49 +1000

libedit (2.11~20080614-2) unstable; urgency=low

  * Merge with Ubuntu 
    - debian/patches/20-fortify.patch: handle error conditions found
      by -D_FORTIFY_SOURCE=2; closes: #488456
  * Suggests libbsd0; closes: #513027
  * Support crossbuilding; closes: #489846, #489847
  * Homepage is
    http://ftp.netbsd.org/pub/NetBSD/NetBSD-release-5-0/src/lib/libedit/
  * Standards version is 3.8.1
  * debhelper compatibility is 7

 -- Anibal Monsalve Salazar <anibal@debian.org>  Fri, 22 May 2009 10:29:58 +1000

libedit (2.11~20080614-1ubuntu1) intrepid; urgency=low

  * debian/patches/20-fortify.patch: handle error conditions found
    by -D_FORTIFY_SOURCE=2.

 -- Kees Cook <kees@ubuntu.com>  Sat, 28 Jun 2008 17:59:27 -0700

libedit (2.11~20080614-1) unstable; urgency=low

  * Update sources from CVS repo; closes: #478922
  * Depend on quilt and rename all patches
  * Remove patch code from debian/rules; closes: #484401
  * Provide vis.h; closes: #357594
  * Update debian/coyright
  * Let dh_makeshlibs create libedit2.postrm libedit2.postinst
  * Priority of libedit2 is standard
  * Standards version is 3.8.0
  * Patches:
    Remove 09-export_completion_matches.diff
      It won't compile with this patch:
      rl_completion_matches defined twice
    Add 10-define_SIZE_T_MAX.diff
      Define SIZE_T_MAX as UINT_MAX in limits.h
    Add 11-357594-vis.h.diff
      Minor adaptation for Glibc by Robert Millan <rmh@aybabtu.com>
    Add 12-libedit-Makefile.diff
      Without it I get the following message:
      make: ${_MKTARGET_CREATE} expands to empty string
    Add 13-symbol_not_found.diff by Anibal Monsalve Salazar
      Without it I get the following messages:
      symbol strlcpy/strlcat not found in none of the libraries

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sat, 14 Jun 2008 17:13:08 +1000

libedit (2.9.cvs.20050518-4) unstable; urgency=low

  * New pkgconfig file. Patch by Matthieu Gallien <matthieu_gallien@yahoo.fr>
    Closes: #420813.
  * Fix the following lintian issues:
    W: libedit source: debian-rules-sets-DH_COMPAT line 7
    W: libedit source: package-uses-deprecated-debhelper-compat-version 2
    W: libedit source: substvar-source-version-is-deprecated libedit-dev

 -- Anibal Monsalve Salazar <anibal@debian.org>  Tue, 07 Aug 2007 18:53:29 +1000

libedit (2.9.cvs.20050518-3) unstable; urgency=low

  * New maintainer.
  * ACKed NMU. Closes: #318843.
  * Standards-Version: 3.7.2.


=== debian/control ===
Source: libedit
Section: libs
Priority: standard
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Anibal Monsalve Salazar <anibal@debian.org>
Build-Depends: dpkg-dev (>= 1.16.1~), debhelper (>= 9), pmake (>= 1.45-8),
 groff-base, libbsd-dev (>= 0.1.3), libncurses5-dev (>= 5.9-2), bsdmainutils
Standards-Version: 3.9.3
#Vcs-Browser: http://cvsweb.netbsd.org/bsdweb.cgi/src/lib/libedit/
Homepage: http://ftp.netbsd.org/pub/NetBSD/NetBSD-current/src/lib/libedit/

Package: libedit2
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: BSD editline and history libraries
 The editline library provides generic line editing and
 history functions.
 .
 It slightly resembles GNU readline

Package: libedit-dev
Section: libdevel
Priority: optional
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, libedit2 (= ${binary:Version}),
 libbsd-dev (>= 0.1.3), libtinfo-dev
Description: BSD editline and history libraries (development files)
 The editline library provides generic line editing and
 history functions.
 .
 It slightly resembles GNU readline

=== debian/rules ===
#! /usr/bin/make -f
## debian/rules for libedit, mostly a pmake workaround..
## hacked together by Gergely Nagy <algernon@debian.org>
## $MadHouse: Debian/libedit/debian/rules,v 1.3 2001/11/04 01:57:26 algernon Exp $

# This is the debhelper compatability version to use.

#export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

PACKAGE		 = libedit
PKGDIR		 = ${CURDIR}/debian/tmp
PMAKE_ARGS	 = MKPROFILE=no MKCATPAGES=no MLINKS= MANPAGES= \
		 SHLIB_SHFLAGS="-Wl,-soname,libedit.so.${major}" \
		 LDADD="$(LDFLAGS) -lbsd -ltinfo"
EDITLINE_3_LINKS = el_init el_end el_reset el_gets el_getc el_push \
		 el_parse el_set el_get el_source el_resize el_line \
		 el_insertstr el_deletestr history_init history_end history

version		 = 2.11
major		 = 2
## For automatic update from CVS
CVSROOT		 = :pserver:anoncvs@anoncvs.netbsd.org:/cvsroot
DATE		 = $(shell date +%Y%m%d)
ROOT		 = basesrc

DEB_HOST_GNU_TYPE	?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE	?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
DEB_HOST_ARCH		?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
DEB_HOST_MULTIARCH	?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

# Workaround for pmake fussiness
ifeq (mips,$(DEB_HOST_ARCH))
PMAKE_ARCH := mipseb
else
PMAKE_ARCH := $(DEB_HOST_ARCH)
endif

ifneq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
CROSS=CC=$(DEB_HOST_GNU_TYPE)-gcc LD=$(DEB_HOST_GNU_TYPE)-ld RANLIB=$(DEB_HOST_GNU_TYPE)-ranlib
PMAKE_ARGS += MACHINE_ARCH=$(PMAKE_ARCH) MACHINE_MULTIARCH=$(DEB_HOST_MULTIARCH)
else ifneq ($(PMAKE_ARCH),$(DEB_HOST_ARCH))
PMAKE_ARGS += MACHINE_ARCH=$(PMAKE_ARCH)
endif

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp
build-stamp:
	dh_testdir
	chmod 755 libedit/makelist	# workaround a bug in upstream source
	cd libedit && $(CROSS) pmake ${PMAKE_ARGS}
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	dh_clean build-stamp
	-cd libedit && pmake distclean

install: build
	dh_testdir
	dh_testroot
	dh_clean
	install -d ${PKGDIR}/usr/lib/$(DEB_HOST_MULTIARCH)
	install -d ${PKGDIR}/usr/include/readline
	install -d ${PKGDIR}/usr/include/libedit
	install -d ${PKGDIR}/usr/share/man/man3
	install -d ${PKGDIR}/usr/share/man/man5
	install -d ${PKGDIR}/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig
	install -m 644 $(CURDIR)/debian/libedit.pc ${PKGDIR}/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig
	sed -i '/^libdir=/s,$$,/$(DEB_HOST_MULTIARCH),' ${PKGDIR}/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig/libedit.pc
	cd libedit && \
	 pmake install incinstall DESTDIR=${PKGDIR} ${PMAKE_ARGS}
## pmake workaround
	cd libedit/readline && \
	 pmake incinstall DESTDIR=${PKGDIR} ${PMAKE_ARGS}
	mv ${PKGDIR}/usr/include/readline ${PKGDIR}/usr/include/editline
	ln -sf libedit.so.${version} ${PKGDIR}/usr/lib/$(DEB_HOST_MULTIARCH)/libedit.so.${major}
	ln -sf libedit.so.${major} ${PKGDIR}/usr/lib/$(DEB_HOST_MULTIARCH)/libedit.so

binary-indep: build install
binary-arch: build install
	dh_testdir
	dh_testroot
## Install manpages
	install -m 0644 libedit/editline.3 ${PKGDIR}/usr/share/man/man3/editline.3el
	install -m 0644 libedit/editrc.5 ${PKGDIR}/usr/share/man/man5/editrc.5el
## End
	dh_movefiles
	@list="${EDITLINE_3_LINKS}"; for l in $$list; do \
		echo "ln -sf editline.3el ${CURDIR}/debian/libedit-dev/usr/share/man/man3/$$l.3el"; \
		ln -sf editline.3el ${CURDIR}/debian/libedit-dev/usr/share/man/man3/$$l.3el; \
	done
	dh_installdocs
	dh_installchangelogs
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb -plibedit2
	dh_builddeb -plibedit-dev -- -Zbzip2 -z9

binary: binary-indep binary-arch

cvs-update:
	cvs -d ${CVSROOT} export -D now -d libedit-${DATE} ${ROOT}/lib/libedit

.PHONY: build clean binary-indep binary-arch binary install cvs-update

## libedit 3.1-20130712

=== debian/changelog ===
libedit (3.1-20130712-2) unstable; urgency=low

  * Fix the co installation problem with libeditline-dev (Closes: #720636)

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 27 Aug 2013 15:55:26 +0200

libedit (3.1-20130712-1) unstable; urgency=low

  * Upload to unstable

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 23 Aug 2013 11:09:13 +0200

libedit (3.1-20130712-1~exp3) experimental; urgency=low

  * Fix the FTBFS under HURD. Thanks to Pino Toscano (Closes: #719800)

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 15 Aug 2013 16:09:35 +0200

libedit (3.1-20130712-1~exp2) experimental; urgency=low

  * Use system functions instead of embeded's (Closes: #718721)
  * Remove deprecated fix_gcc_warnings.diff
  * Remove useless 01-Makefile.diff
  * Thanks to Guillem Jover for these 3 fixes

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 05 Aug 2013 10:15:59 +0200

libedit (3.1-20130712-1~exp1) experimental; urgency=low

  * New upstream release (20130611-3.1)
    - Thanks to their switch to the autotools, we can use a simple dh helper
    (Closes: #579729)
  * Move package maintenance as a collab-maint git project
  * Install manpages (including editrc). (Closes: #612826)
  * Add of the Vcs tags
  * Update of the homepage (Closes: #715017)
  * Add watch file (Closes: #715018)
  * Add a symbol file for libedit:
    1) Created a symbol file from the 2.11-20080614-6 release
    2) Update of the symbol file from this release
    3) Remove the -X version
  * Add myself among the uploaders and change the maintainer to the
    pkg-llvm team
  * Use upstream libedit.pc
  * Update of the description

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 07 Jul 2013 12:49:25 +0200

libedit (2.11-20080614-6) unstable; urgency=low

  * Merge 2.11-20080614-5ubuntu1
    Fix cross-building: set RANLIB as well as CC/LD, and set MACHINE_ARCH
    and MACHINE_MULTIARCH correctly to allow for use of a foreign pmake
    binary.  Closes: #694910
  * Standards Version is 3.9.4

 -- Anibal Monsalve Salazar <anibal@debian.org>  Thu, 06 Jun 2013 10:51:40 +1000

=== debian/control ===
Source: libedit
Section: libs
Priority: standard
Maintainer: LLVM Packaging Team <pkg-llvm-team@lists.alioth.debian.org>
Uploaders: Anibal Monsalve Salazar <anibal@debian.org>, Sylvestre Ledru <sylvestre@debian.org>
Build-Depends: dpkg-dev (>= 1.16.1~), debhelper (>= 9), dh-autoreconf,
 pkg-config,
 groff-base, libbsd-dev (>= 0.1.3), libncurses5-dev (>= 5.9-2), bsdmainutils
Standards-Version: 3.9.4
Vcs-Git: git://git.debian.org/collab-maint/libedit.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/libedit.git;a=summary
Homepage: http://www.thrysoee.dk/editline/

Package: libedit2
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: BSD editline and history libraries
 Command line editor library provides generic line editing,
 history, and tokenization functions.
 .
 It slightly resembles GNU readline

Package: libedit-dev
Section: libdevel
Priority: optional
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, libedit2 (= ${binary:Version}),
 libbsd-dev (>= 0.1.3), libtinfo-dev
Description: BSD editline and history libraries (development files)
 Command line editor library provides generic line editing,
 history, and tokenization functions.
 .
 It slightly resembles GNU readline


Package: libedit2-dbg
Section: debug
Priority: extra
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, libedit2 (= ${binary:Version})
Description: BSD editline and history libraries (debug package)
 Command line editor library provides generic line editing,
 history, and tokenization functions.
 .
 It slightly resembles GNU readline

=== debian/rules ===
#!/usr/bin/make -f
# The previous build system was using pmake
# The current autoconf. That makes our life way easier

%:
	dh $@ --with autoreconf

override_dh_auto_configure:
	dh_auto_configure -- --disable-silent-rules

override_dh_strip:
	dh_strip --dbg-package=libedit2-dbg

## libedit 3.1-20150325

=== debian/changelog ===
libedit (3.1-20150325-1ubuntu2) xenial; urgency=medium

  * No-change rebuild for ncurses6 transition.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 07 Feb 2016 12:46:27 +0000

libedit (3.1-20150325-1ubuntu1) wily; urgency=medium

  * debian/patches/libbsd.patch: use LIBS instead of LDFLAGS.
    (LP: #1479474, Closes: 794009)

 -- Tiago Stürmer Daitx <tiago.daitx@canonical.com>  Wed, 29 Jul 2015 14:33:31 -0300

libedit (3.1-20150325-1) unstable; urgency=medium

  * New upstream release
  * Upload to unstable
  * Update of the symbol file
    (ct_conv_cbuff_resize & ct_conv_wbuff_resize introduced)

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 28 Apr 2015 09:53:42 +0200

libedit (3.1-20141030-1~exp2) experimental; urgency=medium

  * Fix a conflict on libedit manpage (Closes: #774972)

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 12 Jan 2015 08:58:58 +0100

libedit (3.1-20141030-1~exp1) experimental; urgency=medium

  * New upstream release
  * Update the symbol file (two new symbols)
  * Standards-Version updated to 3.9.6

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 14 Nov 2014 11:13:53 +0100

libedit (3.1-20140620-2) unstable; urgency=medium

  * Upload in unstable with the UTF-8 changes.
    In theory, this should be painless because it just adds new symbols.

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 10 Aug 2014 17:51:57 +0200

libedit (3.1-20140620-2~exp1) experimental; urgency=medium

  * Fix rl_callback_read_char() (Closes: #754045)
  * Really enable UTF-8 (Closes: #756736, #737786)
    (LP: #816758) and update the symbols

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 07 Jul 2014 10:14:34 +0200

libedit (3.1-20140620-1) unstable; urgency=medium

  * New upstream release

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 06 Jul 2014 19:03:56 +0200

libedit (3.1-20140213-1) unstable; urgency=medium

  * Upload to unstable

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 12 Mar 2014 15:19:30 +0100

libedit (3.1-20140213-1~exp1) experimental; urgency=medium

  * New upstream release

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 19 Feb 2014 12:55:46 +0100

libedit (3.1-20130712-3~exp1) experimental; urgency=low

  * Add option --enable-widec to get UTF-8 support (Closes: #737786)
    (LP: #816758, #1276836)
  * Fix the description (Closes: #722083)
  * Standards-Version updated to 3.9.5

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 07 Feb 2014 15:55:26 +0200

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: libedit
 Section: libs
 Priority: standard
-Maintainer: LLVM Packaging Team <pkg-llvm-team@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: LLVM Packaging Team <pkg-llvm-team@lists.alioth.debian.org>
 Uploaders: Anibal Monsalve Salazar <anibal@debian.org>, Sylvestre Ledru <sylvestre@debian.org>
 Build-Depends: dpkg-dev (>= 1.16.1~), debhelper (>= 9), dh-autoreconf,
  pkg-config,
  groff-base, libbsd-dev (>= 0.1.3), libncurses5-dev (>= 5.9-2), bsdmainutils
-Standards-Version: 3.9.4
+Standards-Version: 3.9.6
 Vcs-Git: git://git.debian.org/collab-maint/libedit.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/libedit.git;a=summary
 Homepage: http://www.thrysoee.dk/editline/
@@ -21,7 +22,7 @@
  Command line editor library provides generic line editing,
  history, and tokenization functions.
  .
- It slightly resembles GNU readline
+ It slightly resembles GNU readline.
 
 Package: libedit-dev
 Section: libdevel
@@ -34,7 +35,7 @@
  Command line editor library provides generic line editing,
  history, and tokenization functions.
  .
- It slightly resembles GNU readline
+ It slightly resembles GNU readline.
 
 
 Package: libedit2-dbg
@@ -47,4 +48,4 @@
  Command line editor library provides generic line editing,
  history, and tokenization functions.
  .
- It slightly resembles GNU readline
+ It slightly resembles GNU readline.

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,19 @@
 	dh $@ --with autoreconf
 
 override_dh_auto_configure:
-	dh_auto_configure -- --disable-silent-rules
+	dh_auto_configure -- --disable-silent-rules --enable-widec
+	mv doc/editline.3.roff doc/editline.3edit.roff
 
 override_dh_strip:
 	dh_strip --dbg-package=libedit2-dbg
+
+override_dh_installdeb:
+	dh_installdeb
+	# Workaround for bug #774972
+	mv debian/libedit-dev/usr/share/man/man3/editline.3.gz debian/libedit-dev/usr/share/man/man3/editline.3edit.gz
+
+override_dh_clean:
+	dh_clean
+	if test -f doc/editline.3edit.roff; then \
+		mv doc/editline.3edit.roff doc/editline.3.roff; \
+	fi

## libedit 3.1-20160903

=== debian/changelog ===
libedit (3.1-20160903-3) unstable; urgency=medium

  * Fix the wrong links to the manpage (Closes: #851700)

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 18 Jan 2017 13:23:36 +0100

libedit (3.1-20160903-2) unstable; urgency=medium

  * Add libncurses5-dev as a dependency of libedit-dev (Closes: #844573)
    Now officially required by upstream
  * Fix the vcs fields

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 21 nov 2016 16:20:15 +0100

libedit (3.1-20160903-1) unstable; urgency=medium

  * Upload to unstable

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 09 Nov 2016 20:42:38 +0100

libedit (3.1-20160903-1~exp1) experimental; urgency=medium

  * New upstream release
    Two new symbols:
      - history_list
      - history_offset

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 01 Nov 2016 15:53:02 +0100

libedit (3.1-20160618-1~exp1) experimental; urgency=medium

  * New upstream release
  * Upstream moved many symbols as private. Because 236 are now missing,
    I am concerned about potential regressions even if upstream
    didn't bump the soname
  * Fix: Libraries must be added to LIBS instead of LDFLAGS
    (Closes: #794009)
  * Standards-Version updated 3.9.8

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 25 Jun 2016 23:23:46 +0200

## libedit 3.1-20160903-3

=== debian/changelog ===
libedit (3.1-20160903-3-1) unstable; urgency=medium

  * build for dilos

 -- Igor Kozhukhov <igor@dilos.org>  Sun, 05 Feb 2017 10:39:52 +0300

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,14 @@
 Source: libedit
 Section: libs
 Priority: standard
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: LLVM Packaging Team <pkg-llvm-team@lists.alioth.debian.org>
+Maintainer: LLVM Packaging Team <pkg-llvm-team@lists.alioth.debian.org>
 Uploaders: Anibal Monsalve Salazar <anibal@debian.org>, Sylvestre Ledru <sylvestre@debian.org>
 Build-Depends: dpkg-dev (>= 1.16.1~), debhelper (>= 9), dh-autoreconf,
  pkg-config,
  groff-base, libbsd-dev (>= 0.1.3), libncurses5-dev (>= 5.9-2), bsdmainutils
-Standards-Version: 3.9.6
-Vcs-Git: git://git.debian.org/collab-maint/libedit.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/libedit.git;a=summary
+Standards-Version: 3.9.8
+Vcs-Git: git://anonscm.debian.org/collab-maint/libedit.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/libedit.git/
 Homepage: http://www.thrysoee.dk/editline/
 
 Package: libedit2
@@ -29,8 +28,10 @@
 Priority: optional
 Architecture: any
 Multi-Arch: same
+#Depends: ${misc:Depends}, libedit2 (= ${binary:Version}),
+# libbsd-dev (>= 0.1.3), libtinfo-dev, libncurses5-dev
 Depends: ${misc:Depends}, libedit2 (= ${binary:Version}),
- libbsd-dev (>= 0.1.3), libtinfo-dev
+ libtinfo-dev, libncurses5-dev
 Description: BSD editline and history libraries (development files)
  Command line editor library provides generic line editing,
  history, and tokenization functions.
@@ -41,7 +42,7 @@
 Package: libedit2-dbg
 Section: debug
 Priority: extra
-Architecture: any
+Architecture: linux-any
 Multi-Arch: same
 Depends: ${misc:Depends}, libedit2 (= ${binary:Version})
 Description: BSD editline and history libraries (debug package)

=== debian/rules ===
--- 
+++ 
@@ -6,16 +6,22 @@
 	dh $@ --with autoreconf
 
 override_dh_auto_configure:
-	dh_auto_configure -- --disable-silent-rules --enable-widec
+	dh_auto_configure -- --disable-silent-rules --enable-widec --enable-examples
 	mv doc/editline.3.roff doc/editline.3edit.roff
 
 override_dh_strip:
-	dh_strip --dbg-package=libedit2-dbg
+#	dh_strip --dbg-package=libedit2-dbg
 
 override_dh_installdeb:
 	dh_installdeb
 	# Workaround for bug #774972
 	mv debian/libedit-dev/usr/share/man/man3/editline.3.gz debian/libedit-dev/usr/share/man/man3/editline.3edit.gz
+	# Workaround for bug #851700
+	cd debian/libedit-dev/usr/share/man/man3/; \
+	MANPAGES=$$(ls -1 *.3); \
+	for f in $$MANPAGES; do \
+		rm -f $$f && ln -s editline.3edit.gz $$f.gz; \
+	done
 
 override_dh_clean:
 	dh_clean

## libedit 3.1-20170329

=== debian/changelog ===
libedit (3.1-20170329-1) unstable; urgency=medium

  * New upstream release
  * Standards-Version updated 4.0.0

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 20 Jun 2017 00:11:48 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: dpkg-dev (>= 1.16.1~), debhelper (>= 9), dh-autoreconf,
  pkg-config,
  groff-base, libbsd-dev (>= 0.1.3), libncurses5-dev (>= 5.9-2), bsdmainutils
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Vcs-Git: git://anonscm.debian.org/collab-maint/libedit.git
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/libedit.git/
 Homepage: http://www.thrysoee.dk/editline/
@@ -28,10 +28,8 @@
 Priority: optional
 Architecture: any
 Multi-Arch: same
-#Depends: ${misc:Depends}, libedit2 (= ${binary:Version}),
-# libbsd-dev (>= 0.1.3), libtinfo-dev, libncurses5-dev
 Depends: ${misc:Depends}, libedit2 (= ${binary:Version}),
- libtinfo-dev, libncurses5-dev
+ libbsd-dev (>= 0.1.3), libtinfo-dev, libncurses5-dev
 Description: BSD editline and history libraries (development files)
  Command line editor library provides generic line editing,
  history, and tokenization functions.
@@ -42,7 +40,7 @@
 Package: libedit2-dbg
 Section: debug
 Priority: extra
-Architecture: linux-any
+Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends}, libedit2 (= ${binary:Version})
 Description: BSD editline and history libraries (debug package)

=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,7 @@
 	mv doc/editline.3.roff doc/editline.3edit.roff
 
 override_dh_strip:
-#	dh_strip --dbg-package=libedit2-dbg
+	dh_strip --dbg-package=libedit2-dbg
 
 override_dh_installdeb:
 	dh_installdeb

=== debian/watch ===
version=3
opts=uversionmangle=s/(.*)-(.*)/$2-$1/ \
http://www.thrysoee.dk/editline/ libedit-(.*).tar.gz

## libedit 3.1-20180525

=== debian/changelog ===
libedit (3.1-20180525-1) unstable; urgency=medium

  * New upstream release
    - New symbols:
      append_history
      rl_did_startup_hook
      rl_resize_terminal
  * Standards-Version updated 4.1.3
  * Package moved on salsa
  * libedit2-dbg moved to extra
  * Ship examples/ in libedit-dev

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 30 May 2018 11:08:31 +0200

=== debian/control ===
--- 
+++ 
@@ -6,9 +6,9 @@
 Build-Depends: dpkg-dev (>= 1.16.1~), debhelper (>= 9), dh-autoreconf,
  pkg-config,
  groff-base, libbsd-dev (>= 0.1.3), libncurses5-dev (>= 5.9-2), bsdmainutils
-Standards-Version: 4.0.0
-Vcs-Git: git://anonscm.debian.org/collab-maint/libedit.git
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/libedit.git/
+Standards-Version: 4.1.3
+Vcs-Git: https://salsa.debian.org/debian/libedit.git
+Vcs-Browser: https://salsa.debian.org/debian/libedit
 Homepage: http://www.thrysoee.dk/editline/
 
 Package: libedit2
@@ -39,7 +39,7 @@
 
 Package: libedit2-dbg
 Section: debug
-Priority: extra
+Priority: optional
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends}, libedit2 (= ${binary:Version})

=== debian/rules ===
--- 
+++ 
@@ -6,6 +6,8 @@
 	dh $@ --with autoreconf
 
 override_dh_auto_configure:
+	# Remove Apple time machine files
+	rm -f `find . -iname '._*'`
 	dh_auto_configure -- --disable-silent-rules --enable-widec --enable-examples
 	mv doc/editline.3.roff doc/editline.3edit.roff
 
@@ -23,6 +25,14 @@
 		rm -f $$f && ln -s editline.3edit.gz $$f.gz; \
 	done
 
+override_dh_installdocs:
+	mkdir -p debian/libedit-dev/usr/share/doc/libedit-dev/examples/
+	cp -R examples/*.c examples/Makefile.* debian/libedit-dev/usr/share/doc/libedit-dev/examples/
+	dh_installdocs
+
+override_dh_compress:
+	dh_compress -X.c -XMakefile.in -XMakefile.am
+
 override_dh_clean:
 	dh_clean
 	if test -f doc/editline.3edit.roff; then \

## libedit 3.1-20181209

=== debian/changelog ===
libedit (3.1-20181209-1) unstable; urgency=medium

  [ Guillem Jover ]
  * Remove doubled heading spaces from Copyright field in debian/copyright.
  * Move examples installation from dh_installdocs override into an .examples
    debhelper fragment file, and remove the now unnecessary override.
  * Add a comment to debian/rules to remove the dh_compress override on
    debhelper compatibility level 12.

  [ Sylvestre Ledru ]
  * New upstream release
  * Two new symbols:
    - rl_echo_signal_char
    - rl_reset_after_signal

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 12 Dec 2018 08:55:07 +0100

libedit (3.1-20180525-2~exp1) experimental; urgency=medium

  [ Guillem Jover ]
  * Fix libbsd.patch so that the library is detected and used early in
    configure before checking for symbols provided by it, to avoid ending
    up using the embedded code copies. (Closes: #893934)
  * Wrap fields in debian/control.
  * Bump debhelper compatibility level to 11.
    - Remove old dpkg-dev Build-Depends, satisfied in oldstable, and
      superseded by debhelper's dependency.
    - Remove autoreconf addon, now enabled by default, and dh-autoreconf
      from Build-Depends.
    - Remove debian/tmp from libedit-dev.manpages file.
  * Switch to an automatic debug symbols package.
  * Remove custom compression options from debian/source/options.
  * Stop passing unknown --disable-maintainer-mode and obsolete --enable-widec
    options to configure.
  * Move packages from priority standard to optional.
  * Append a -0 to each present symbol in the .symbols file, so that the
    versions are properly compared, given that the upstream part contains
    a dash, otherwise dpkg-dev tools get confused as they strip the version
    revision for the comparison. (Closes: #911341)
  * Remove redundant or obsolete information from debian/copyright file.
  * Switch debian/copyright to the machine readable format 1.0.
  * Set Rules-Requires-Root to no.
  * Bump Standards-Version to 4.2.1.
  * Bump minimum version in .shlibs file.
  * Sort pathnames in debhelper fragment files.
  * Add a new patch to use system's wcsdup() function if available.
  * Use https for upstream homepage.
  * Move Apple time machine file cleanup to the dh_clean override.
  * Improve man page handling:
    - Move the bulk of the logic to the upstream Makefile.am, and remove it
      from the debian/rules.
    - Change the sections within the man pages and the references to Xedit.
  * Install editrc(5edit) and editline(7edit) man pages in libedit2.
    (Closes: #877309)
  * Improve termcap usage:
    - Switch to (build-)depending on «libncurses-dev | libtinfo-dev» instead
      of the deprecated libncurses5-dev.
    - Add a patch to prefer linking against libtermcap instead of ncurses.
      The code really wants a termcap compatible interface, and not the
      main ncurses library.
  * Switch to debian/watch format version 4.

 -- Guillem Jover <guillem@debian.org>  Sat, 27 Oct 2018 19:33:12 +0200

=== debian/control ===
Source: libedit
Section: libs
Priority: optional
Maintainer: LLVM Packaging Team <pkg-llvm-team@lists.alioth.debian.org>
Uploaders:
 Anibal Monsalve Salazar <anibal@debian.org>,
 Sylvestre Ledru <sylvestre@debian.org>,
Rules-Requires-Root: no
Build-Depends:
 debhelper (>= 11),
 pkg-config,
 groff-base,
 libbsd-dev (>= 0.1.3),
 libncurses-dev | libtinfo-dev,
 bsdmainutils,
Standards-Version: 4.2.1
Vcs-Git: https://salsa.debian.org/debian/libedit.git
Vcs-Browser: https://salsa.debian.org/debian/libedit
Homepage: https://www.thrysoee.dk/editline/

Package: libedit2
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Replaces:
# Due to editrc(5) takeover.
 libedit-dev (<< 3.1-20180525-2~),
Description: BSD editline and history libraries
 Command line editor library provides generic line editing,
 history, and tokenization functions.
 .
 It slightly resembles GNU readline.

Package: libedit-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 libedit2 (= ${binary:Version}),
 libbsd-dev (>= 0.1.3),
 libncurses-dev | libtinfo-dev,
Description: BSD editline and history libraries (development files)
 Command line editor library provides generic line editing,
 history, and tokenization functions.
 .
 It slightly resembles GNU readline.

## libedit 3.1-20190324

=== debian/changelog ===
libedit (3.1-20190324-1~exp1) experimental; urgency=medium

  * New upstream release

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 02 Apr 2019 12:06:41 +0200

## libedit 3.1-20191231

=== debian/changelog ===
libedit (3.1-20191231-2) unstable; urgency=medium

  * Update debhelper compat to v13
  * Add a shim readline development library (Closes: #977664)

 -- Bastian Germann <bastiangermann@fishpost.de>  Fri, 18 Dec 2020 15:52:09 +0100

libedit (3.1-20191231-1) unstable; urgency=medium

  * New upstream release

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 03 Jan 2020 09:30:17 +0100

libedit (3.1-20191211-1) unstable; urgency=medium

  * New upstream release

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 22 Dec 2019 12:05:36 +0100

libedit (3.1-20191025-1) unstable; urgency=medium

  * New upstream release

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 28 Oct 2019 18:30:09 +0100

libedit (3.1-20190324-1) unstable; urgency=medium

  * Upload to unstable

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 07 Jul 2019 10:02:27 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  Sylvestre Ledru <sylvestre@debian.org>,
 Rules-Requires-Root: no
 Build-Depends:
- debhelper (>= 11),
+ debhelper-compat (= 13),
  pkg-config,
  groff-base,
  libbsd-dev (>= 0.1.3),
@@ -50,3 +50,19 @@
  history, and tokenization functions.
  .
  It slightly resembles GNU readline.
+
+Package: libeditreadline-dev
+Section: libdevel
+Architecture: any
+Multi-Arch: same
+Depends:
+ ${misc:Depends},
+ libedit-dev
+Conflicts: libreadline-dev, libreadline5-dev, libreadline-gplv2-dev
+Description: BSD editline and history libraries (shim development files)
+ GNU readline changed its license from GPL-2 to GPL-3 with version 6,
+ which excludes GPL-2-only programs from using current readline versions.
+ editline resembles readline functionally and with regards to its API.
+ .
+ This is a development shim library that can be used to link a GPL-2-only
+ program that depends on readline with editline.

## libedit 3.1-20210910

=== debian/changelog ===
libedit (3.1-20210910-1build1) jammy; urgency=high

  * No change rebuild for ppc64el baseline bump.

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 24 Mar 2022 13:11:37 +0100

libedit (3.1-20210910-1) unstable; urgency=medium

  * New upstream release
    - fixes the fuzzing issue (Closes: #993567)
  * Add new symbols:
    - _rl_complete_mark_directories
    - _rl_completion_prefix_display_length
    - _rl_echoing_p
    - _rl_erase_entire_line
    - free_history_entry
    - history_max_entries
    - rl_abort
    - rl_basic_quote_characters
    - rl_completion_suppress_append
    - rl_crlf
    - rl_ding
    - rl_directory_completion_hook
    - rl_display_prompt
    - rl_readline_state
    - rl_set_keymap_name
    - rl_sort_completion_matches

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 12 Sep 2021 09:42:29 +0200

libedit (3.1-20210714-1) unstable; urgency=medium

  * Upload in unstable

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 16 Aug 2021 08:59:24 +0200

libedit (3.1-20210714-1~exp2) experimental; urgency=medium

  * Fix the changelog (a tag was missing)

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 16 Jul 2021 20:50:20 +0200

libedit (3.1-20210714-1~exp1) experimental; urgency=medium

  * New upstream release on Bastille day \o/

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 16 Jul 2021 20:29:54 +0200

libedit (3.1-20210522-1~exp1) experimental; urgency=medium

  * New upstream release

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 29 May 2021 10:44:35 +0200

libedit (3.1-20210419-1~exp1) experimental; urgency=medium

  * New upstream release
    New symbol: fn_complete2@Base

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 25 Apr 2021 23:57:40 +0200

libedit (3.1-20210216-1~exp1) experimental; urgency=medium

  * New upstream release.
    First in experimental as we are in freeze mode
    Maybe it will go in unstable

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 28 Feb 2021 15:14:11 +0100

libedit (3.1-20191231-3) unstable; urgency=medium

  * Source upload

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 18 Dec 2020 23:12:43 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: libedit
 Section: libs
 Priority: optional
-Maintainer: LLVM Packaging Team <pkg-llvm-team@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: LLVM Packaging Team <pkg-llvm-team@lists.alioth.debian.org>
 Uploaders:
  Anibal Monsalve Salazar <anibal@debian.org>,
  Sylvestre Ledru <sylvestre@debian.org>,

## libedit 3.1-20221030

=== debian/changelog ===
libedit (3.1-20221030-2) unstable; urgency=medium

  * Add a DEP-8 test exercising some of the functionality of libedit.

 -- John Scott <jscott@posteo.net>  Mon, 21 Nov 2022 04:51:57 -0500

libedit (3.1-20221030-1) unstable; urgency=medium

  * New upstream release

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 02 Nov 2022 23:47:14 +0100

libedit (3.1-20221009-1) unstable; urgency=medium

  * New upstream release

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 15 Oct 2022 21:57:30 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: libedit
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: LLVM Packaging Team <pkg-llvm-team@lists.alioth.debian.org>
+Maintainer: LLVM Packaging Team <pkg-llvm-team@lists.alioth.debian.org>
 Uploaders:
  Anibal Monsalve Salazar <anibal@debian.org>,
  Sylvestre Ledru <sylvestre@debian.org>,
@@ -20,7 +19,6 @@
 Homepage: https://www.thrysoee.dk/editline/
 
 Package: libedit2
-Section: libs
 Architecture: any
 Multi-Arch: same
 Pre-Depends:

=== debian/tests/control ===
Test-Command: gcc -o "$AUTOPKGTEST_TMP"/test debian/tests/test.c $(pkgconf --cflags --libs libedit) && "$AUTOPKGTEST_TMP"/test
Depends: build-essential, gcc, libedit-dev, pkgconf
